# SPDX-License-Identifier: MIT
Version:    1.3
Release:    1%{?dist}
URL:        https://gitlab.com/rit-fonts/RIT-Rachana

%global foundry RIT
%global fontlicense OFL
%global fontlicenses LICENSE.txt
%global fontdocs *.md

%global fontfamily rit-rachana
%global fontsummary    Open Type font for Malayalam traditional script

%global fonts fonts/otf/*.otf
%global fontconfs meta/65-0-%{fontfamily}-fonts.conf

%global fontappstreams meta/in.org.rachana.rit-rachana.metainfo.xml

%global fontdescription %{expand:
RIT Rachana is opetype font for Malayalam traditional script designed by Hussain K H.
It covers Unicode 13.0 and entire character set in 'definitive character set' of Malayalam. 
}


Source0:    https://gitlab.com/rit-fonts/RIT-Rachana/-/archive/%{version}/RIT-Rachana-%{version}.tar.bz2

BuildRequires:    fontpackages-devel
BuildRequires:    fontforge
BuildRequires:    python3
BuildRequires:    python3-fonttools
BuildRequires:    python3-cffsubr
BuildRequires:    make
Requires:    fontpackages-filesystem
Obsoletes:   smc-rachana-fonts <= 7.0

%fontpkg

%prep
%setup -n RIT-Rachana-%{version}

%build
%fontbuild
make otf

%install
%fontinstall

%check
%fontcheck

%fontfiles


%changelog
* Mon Dec 06 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.3-1
- Obsoletes SMC Rachana fonts

* Sun Oct 10 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.3-0
- New upstream release 1.3

* Fri Jun 25 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.2-0
- New upstream release 1.2

* Thu Dec 17 2020 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.1-0
- Initial packaging
